---
title: DOMImplementation.createDocumentType()
slug: Web/API/DOMImplementation/createDocumentType
tags:
  - API
  - DOM
  - DOMImplementation
  - Method
  - Reference
---
<p>{{ ApiRef("DOM")}}</p>

<p>The <strong><code>DOMImplementation.createDocumentType()</code></strong> method returns a {{domxref("DocumentType")}} object which can either be used with {{domxref("DOMImplementation.createDocument")}} upon document creation or can be put into the document via methods like {{domxref("Node.insertBefore()")}} or {{domxref("Node.replaceChild()")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>doctype</em> = document.implementation.createDocumentType(<em>qualifiedNameStr</em>, <em>publicId</em>, <em>systemId</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>qualifiedNameStr</code></dt>
 <dd>Is a {{domxref("DOMString")}} containing the qualified name, like <code>svg:svg</code>.</dd>
</dl>

<dl>
 <dt><code>publicId</code></dt>
 <dd>Is a {{domxref("DOMString")}} containing the <code>PUBLIC</code> identifier.</dd>
</dl>

<dl>
 <dt><code>systemId</code></dt>
 <dd>Is a {{domxref("DOMString")}} containing the <code>SYSTEM</code> identifiers.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">var dt = document.implementation.createDocumentType('svg:svg', '-//W3C//DTD SVG 1.1//EN', 'http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd');
var d = document.implementation.createDocument('http://www.w3.org/2000/svg', 'svg:svg', dt);
alert(d.doctype.publicId); // -//W3C//DTD SVG 1.1//EN
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-domimplementation-createdocumenttype', 'DOMImplementation.createDocumentType')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>No change from {{SpecName("DOM3 Core")}}</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Core', 'core.html#Level-2-Core-DOM-createDocType', 'DOMImplementation.createDocumentType')}}</td>
   <td>{{Spec2('DOM3 Core')}}</td>
   <td>No change from {{SpecName("DOM2 Core")}}</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Core', 'core.html#Level-2-Core-DOM-createDocType', 'DOMImplementation.createDocumentType')}}</td>
   <td>{{Spec2('DOM2 Core')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMImplementation.createDocumentType")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("DOMImplementation")}} interface it belongs to.</li>
</ul>
